Notification API Documentation (1.0.0)

Download OpenAPI specification:

License: Private

Get OAuth2 access token

Obtain an OAuth2 access token using the client credentials grant.

Request Body schema: application/x-www-form-urlencoded
required
grant_type
required
string
Value: "client_credentials"
client_id
required
string
client_secret
required
string <password>
scope
string

Responses

Response samples

Content type
application/json
{
  • "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  • "token_type": "Bearer",
  • "expires_in": 3600,
  • "scope": "notifications.write notifications.read"
}

Send a notification

Authorizations:
oauth2ClientCredentialsinthub-dev-lambda-authorizer
Request Body schema: application/json
required
required
Array of objects
priority
required
string
Enum: "HIGH" "NORMAL" "BATCH"

Responses

Request samples

Content type
application/json
{
  • "channels": [
    ],
  • "priority": "HIGH"
}

Response samples

Content type
application/json
{
  • "notification_id": "123e4567-e89b-12d3-a456-426614174000"
}